Bug 703972 (CVE-2011-1781) - CVE-2011-1781 systemtap: divide by zero stack unwinding flaw
Summary: CVE-2011-1781 systemtap: divide by zero stack unwinding flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1781
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 703979 703980
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-11 19:30 UTC by Josh Bressers
Modified: 2019-09-29 12:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-03 20:45:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0842 normal SHIPPED_LIVE Moderate: systemtap security update 2011-05-31 14:04:42 UTC

Description Josh Bressers 2011-05-11 19:30:50 UTC
A flaw was discovered in systemtap's handling of DWARF expressions where it
did not guard against divide by zero when unwinding the stack.  This can
result in a kernel div-by-zero message and possible busywait during stap
module shutdown.  A div-by-zero could cause the kernel to panic and if the
kernel reboot on panic flag was set (panic_on_oops), it would cause the
system to reboot.

In order to trigger this flaw, an admin would have to enable unprivileged
mode. If an admin has enabled unprivileged mode, a normal user could use
this to crash the target machine.

A workaround is to disable unprivileged mode.

Comment 1 Josh Bressers 2011-05-11 19:32:57 UTC
This bug only affects systemtap versions 1.4 and above. We are rebasing systemtap to an affected version in Red Hat Enterprise Linux 6.1. This flaw will not be fixed before 6.1 GA.

Comment 4 Frank Ch. Eigler 2011-05-11 23:35:31 UTC
"If an admin has enabled unprivileged mode, a normal user could use
this to crash the target machine."

Not quite "normal" - the user would still have to be member of the "stapusr" group.

Comment 5 Tomas Hoger 2011-05-20 11:53:23 UTC
Public now via upstream commit mentioned in comment #3.

Comment 9 errata-xmlrpc 2011-05-31 14:04:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0842 https://rhn.redhat.com/errata/RHSA-2011-0842.html


Note You need to log in before you can comment on or make changes to this bug.